Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Update gems. Add attribution

  • Loading branch information...
commit 022c497c2451678bf882957925160581b10c0a7e 1 parent ccb3504
@aslakhellesoy aslakhellesoy authored
Showing with 103 additions and 97 deletions.
  1. +1 −1  .rvmrc
  2. +87 −85 Gemfile.lock
  3. +5 −0 History.md
  4. +10 −11 cucumber-rails.gemspec
View
2  .rvmrc
@@ -1 +1 @@
-rvm @cucumber --create
+rvm gemset use cucumber
View
172 Gemfile.lock
@@ -1,93 +1,93 @@
PATH
remote: .
specs:
- cucumber-rails (1.0.2)
- capybara (>= 1.0.0)
- cucumber (~> 1.0.0)
- nokogiri (>= 1.4.6)
+ cucumber-rails (1.0.3)
+ capybara (>= 1.1.1)
+ cucumber (~> 1.0.4)
+ nokogiri (>= 1.5.0)
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.1.0.rc4)
- actionpack (= 3.1.0.rc4)
+ actionmailer (3.1.0)
+ actionpack (= 3.1.0)
mail (~> 2.3.0)
- actionpack (3.1.0.rc4)
- activemodel (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
+ actionpack (3.1.0)
+ activemodel (= 3.1.0)
+ activesupport (= 3.1.0)
builder (~> 3.0.0)
erubis (~> 2.7.0)
i18n (~> 0.6)
- rack (~> 1.3.0)
- rack-cache (~> 1.0.1)
- rack-mount (~> 0.8.1)
- rack-test (~> 0.6.0)
- sprockets (~> 2.0.0.beta.10)
- tzinfo (~> 0.3.27)
- activemodel (3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
- bcrypt-ruby (~> 2.1.4)
+ rack (~> 1.3.2)
+ rack-cache (~> 1.0.3)
+ rack-mount (~> 0.8.2)
+ rack-test (~> 0.6.1)
+ sprockets (~> 2.0.0)
+ activemodel (3.1.0)
+ activesupport (= 3.1.0)
+ bcrypt-ruby (~> 3.0.0)
builder (~> 3.0.0)
i18n (~> 0.6)
- activerecord (3.1.0.rc4)
- activemodel (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
- arel (~> 2.1.1)
- tzinfo (~> 0.3.27)
- activeresource (3.1.0.rc4)
- activemodel (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
- activesupport (3.1.0.rc4)
+ activerecord (3.1.0)
+ activemodel (= 3.1.0)
+ activesupport (= 3.1.0)
+ arel (~> 2.2.1)
+ tzinfo (~> 0.3.29)
+ activeresource (3.1.0)
+ activemodel (= 3.1.0)
+ activesupport (= 3.1.0)
+ activesupport (3.1.0)
multi_json (~> 1.0)
- ansi (1.2.5)
- arel (2.1.1)
- aruba (0.4.3)
+ ansi (1.3.0)
+ arel (2.2.1)
+ aruba (0.4.6)
bcat (>= 0.6.1)
- childprocess (>= 0.1.9)
- cucumber (>= 0.10.7)
+ childprocess (>= 0.2.0)
+ cucumber (>= 1.0.2)
rdiscount (>= 1.6.8)
rspec (>= 2.6.0)
bcat (0.6.1)
rack (~> 1.0)
- bcrypt-ruby (2.1.4)
+ bcrypt-ruby (3.0.0)
bson (1.3.1)
bson_ext (1.3.1)
builder (3.0.0)
- capybara (1.0.0)
+ capybara (1.1.1)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
- selenium-webdriver (~> 0.2.0)
+ selenium-webdriver (~> 2.0)
xpath (~> 0.1.4)
- childprocess (0.1.9)
+ childprocess (0.2.2)
ffi (~> 1.0.6)
coffee-script (2.2.0)
coffee-script-source
execjs
- coffee-script-source (1.1.1)
- cucumber (1.0.0)
+ coffee-script-source (1.1.2)
+ cucumber (1.0.4)
builder (>= 2.1.2)
diff-lcs (>= 1.1.2)
- gherkin (~> 2.4.1)
+ gherkin (~> 2.4.18)
json (>= 1.4.6)
- term-ansicolor (>= 1.0.5)
+ term-ansicolor (>= 1.0.6)
database_cleaner (0.6.7)
- diff-lcs (1.1.2)
+ diff-lcs (1.1.3)
erubis (2.7.0)
- execjs (1.2.0)
+ execjs (1.2.4)
multi_json (~> 1.0)
- factory_girl (2.0.0.beta2)
+ factory_girl (2.1.0)
ffi (1.0.9)
- gherkin (2.4.1)
+ gherkin (2.4.18)
json (>= 1.4.6)
- hike (1.1.0)
+ hike (1.2.1)
i18n (0.6.0)
- jquery-rails (1.0.12)
+ jquery-rails (1.0.14)
railties (~> 3.0)
thor (~> 0.14)
- json (1.5.3)
- json_pure (1.5.3)
+ json (1.5.4)
+ json_pure (1.5.4)
+ spruz (~> 0.2.8)
mail (2.3.0)
i18n (>= 0.4.0)
mime-types (~> 1.16)
@@ -95,40 +95,40 @@ GEM
mime-types (1.16)
mongo (1.3.1)
bson (>= 1.3.1)
- mongoid (2.0.2)
+ mongoid (2.2.0)
activemodel (~> 3.0)
mongo (~> 1.3)
tzinfo (~> 0.3.22)
multi_json (1.0.3)
- nokogiri (1.4.6)
- polyglot (0.3.1)
- rack (1.3.0)
- rack-cache (1.0.2)
+ nokogiri (1.5.0)
+ polyglot (0.3.2)
+ rack (1.3.2)
+ rack-cache (1.0.3)
rack (>= 0.4)
- rack-mount (0.8.1)
+ rack-mount (0.8.3)
rack (>= 1.0.0)
rack-ssl (1.3.2)
rack
- rack-test (0.6.0)
+ rack-test (0.6.1)
rack (>= 1.0)
- rails (3.1.0.rc4)
- actionmailer (= 3.1.0.rc4)
- actionpack (= 3.1.0.rc4)
- activerecord (= 3.1.0.rc4)
- activeresource (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
+ rails (3.1.0)
+ actionmailer (= 3.1.0)
+ actionpack (= 3.1.0)
+ activerecord (= 3.1.0)
+ activeresource (= 3.1.0)
+ activesupport (= 3.1.0)
bundler (~> 1.0)
- railties (= 3.1.0.rc4)
- railties (3.1.0.rc4)
- actionpack (= 3.1.0.rc4)
- activesupport (= 3.1.0.rc4)
+ railties (= 3.1.0)
+ railties (3.1.0)
+ actionpack (= 3.1.0)
+ activesupport (= 3.1.0)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
thor (~> 0.14.6)
rake (0.9.2)
rdiscount (1.6.8)
- rdoc (3.6.1)
+ rdoc (3.9.4)
rspec (2.6.0)
rspec-core (~> 2.6.0)
rspec-expectations (~> 2.6.0)
@@ -143,49 +143,51 @@ GEM
railties (~> 3.0)
rspec (~> 2.6.0)
rubyzip (0.9.4)
- sass (3.1.3)
- selenium-webdriver (0.2.2)
- childprocess (>= 0.1.9)
+ sass (3.1.7)
+ selenium-webdriver (2.5.0)
+ childprocess (>= 0.2.1)
ffi (>= 1.0.7)
json_pure
rubyzip
- sprockets (2.0.0.beta.10)
- hike (~> 1.0)
+ sprockets (2.0.0)
+ hike (~> 1.2)
rack (~> 1.0)
- tilt (!= 1.3.0, ~> 1.1)
- sqlite3 (1.3.3)
+ tilt (~> 1.1, != 1.3.0)
+ spruz (0.2.13)
+ sqlite3 (1.3.4)
sqlite3-ruby (1.3.3)
sqlite3 (>= 1.3.3)
- term-ansicolor (1.0.5)
+ term-ansicolor (1.0.6)
thor (0.14.6)
- tilt (1.3.2)
- treetop (1.4.9)
+ tilt (1.3.3)
+ treetop (1.4.10)
+ polyglot
polyglot (>= 0.3.1)
turn (0.8.2)
ansi (>= 1.2.2)
- tzinfo (0.3.28)
- uglifier (1.0.0)
+ tzinfo (0.3.29)
+ uglifier (1.0.3)
execjs (>= 0.3.0)
multi_json (>= 1.0.2)
xpath (0.1.4)
nokogiri (~> 1.3)
- yard (0.7.1)
+ yard (0.7.2)
PLATFORMS
ruby
DEPENDENCIES
- aruba (>= 0.4.3)
+ aruba (>= 0.4.6)
bcat (= 0.6.1)
bson_ext (>= 1.3.1)
- bundler (>= 1.0.15)
+ bundler (>= 1.0.18)
coffee-script (>= 2.2.0)
cucumber-rails!
database_cleaner (>= 0.6.7)
- factory_girl (>= 2.0.0.beta2)
+ factory_girl (>= 2.1.0)
jquery-rails (>= 1.0.12)
- mongoid (>= 2.0.2)
- rails (>= 3.1.0.rc4)
+ mongoid (>= 2.2.0)
+ rails (>= 3.1.0)
rake (>= 0.9.2)
rdiscount (= 1.6.8)
rspec (>= 2.6.0)
@@ -194,4 +196,4 @@ DEPENDENCIES
sqlite3-ruby (>= 1.3.3)
turn (>= 0.8.2)
uglifier (>= 1.0.0)
- yard (= 0.7.1)
+ yard (= 0.7.2)
View
5 History.md
@@ -1,3 +1,8 @@
+## [v1.0.3](https://github.com/cucumber/cucumber-rails/compare/v1.0.2...v1.0.3)
+
+### Bugfixes
+* sqlite3-ruby is now sqlite3 ([#158](https://github.com/cucumber/cucumber-rails/pull/158) Trung Le)
+
## [v1.0.2](https://github.com/cucumber/cucumber-rails/compare/v1.0.1...v1.0.2)
### Bugfixes
View
21 cucumber-rails.gemspec
@@ -3,28 +3,27 @@ $LOAD_PATH.unshift File.expand_path("../lib", __FILE__)
Gem::Specification.new do |s|
s.name = 'cucumber-rails'
- s.version = '1.0.2'
+ s.version = '1.0.3'
s.authors = ["Aslak Hellesøy", "Dennis Blöte", "Rob Holland"]
s.description = "Cucumber Generators and Runtime for Rails"
s.summary = "#{s.name}-#{s.version}"
s.email = 'cukes@googlegroups.com'
s.homepage = "http://cukes.info"
- s.add_dependency('cucumber', '~> 1.0.0')
- s.add_dependency('nokogiri', '>= 1.4.6')
- s.add_dependency('capybara', '>= 1.0.0')
- s.add_development_dependency('rails', '>= 3.1.0.rc4')
+ s.add_dependency('cucumber', '~> 1.0.4')
+ s.add_dependency('nokogiri', '>= 1.5.0')
+ s.add_dependency('capybara', '>= 1.1.1')
+ s.add_development_dependency('rails', '>= 3.1.0')
s.add_development_dependency('rake', '>= 0.9.2')
- s.add_development_dependency('bundler', '>= 1.0.15')
- s.add_development_dependency('aruba', '>= 0.4.3')
+ s.add_development_dependency('bundler', '>= 1.0.18')
+ s.add_development_dependency('aruba', '>= 0.4.6')
s.add_development_dependency('sqlite3-ruby', '>= 1.3.3')
s.add_development_dependency('rspec', '>= 2.6.0')
s.add_development_dependency('rspec-rails', '>= 2.6.1')
- s.add_development_dependency('factory_girl', '>= 2.0.0.beta2')
+ s.add_development_dependency('factory_girl', '>= 2.1.0')
s.add_development_dependency('database_cleaner', '>= 0.6.7')
- s.add_development_dependency('mongoid', '>= 2.0.2')
+ s.add_development_dependency('mongoid', '>= 2.2.0')
s.add_development_dependency('bson_ext', '>= 1.3.1')
- # s.add_development_dependency('akephalos', '>= 0.2.5')
# Various Stuff that Rails 3.1 puts inside apps.
s.add_development_dependency('turn', '>= 0.8.2')
@@ -34,7 +33,7 @@ Gem::Specification.new do |s|
s.add_development_dependency('jquery-rails', '>= 1.0.12')
# For Documentation:
- s.add_development_dependency('yard', '= 0.7.1')
+ s.add_development_dependency('yard', '= 0.7.2')
s.add_development_dependency('rdiscount', '= 1.6.8')
s.add_development_dependency('bcat', '= 0.6.1')
Please sign in to comment.
Something went wrong with that request. Please try again.